Fetch Stealth Monitoring Settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/settings/stealth-monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/settings/stealth-monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/settings/stealth-monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched stealth monitoring settings successfully",
"error": null,
"data": [
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"stealthMonitoringSettings": {
"enableStealthMonitoring": false
}
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
}
]
}Settings
Fetch Stealth Monitoring Settings
GET
/
v1
/
settings
/
stealth-monitoring
Fetch Stealth Monitoring Settings
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/settings/stealth-monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/settings/stealth-monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/settings/stealth-monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched stealth monitoring settings successfully",
"error": null,
"data": [
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"stealthMonitoringSettings": {
"enableStealthMonitoring": false
}
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Fetched stealth monitoring settings successfully
Example:
true
Example:
200
Example:
"Fetched stealth monitoring settings successfully"
Example:
null
Show child attributes
Show child attributes
Example:
[
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"userName": "Abirami Kannan",
"emailId": "abiramikannan2006@gmail.com",
"profilePicUrl": null,
"stealthMonitoringSettings": { "enableStealthMonitoring": true }
},
{
"userId": "b514fe51-df34-414e-8bec-9dcdd23cde23",
"userName": "Swetha Senthil",
"emailId": "senthilsundari2802@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.jpeg",
"stealthMonitoringSettings": { "enableStealthMonitoring": false }
},
{
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"emailId": "sakthiveltechit@gmail.com",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png",
"stealthMonitoringSettings": { "enableStealthMonitoring": true }
}
]
⌘I
